package com.ruoyi.ie.service;

import java.util.List;
import com.ruoyi.ie.domain.AEnrollSkill;

/**
 * 院校考生技能考核办法Service接口
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public interface IAEnrollSkillService 
{
    /**
     * 查询院校考生技能考核办法
     * 
     * @param id 院校考生技能考核办法主键
     * @return 院校考生技能考核办法
     */
    public AEnrollSkill selectAEnrollSkillById(Long id);

    /**
     * 查询院校考生技能考核办法列表
     * 
     * @param aEnrollSkill 院校考生技能考核办法
     * @return 院校考生技能考核办法集合
     */
    public List<AEnrollSkill> selectAEnrollSkillList(AEnrollSkill aEnrollSkill);

    /**
     * 新增院校考生技能考核办法
     * 
     * @param aEnrollSkill 院校考生技能考核办法
     * @return 结果
     */
    public int insertAEnrollSkill(AEnrollSkill aEnrollSkill);

    /**
     * 修改院校考生技能考核办法
     * 
     * @param aEnrollSkill 院校考生技能考核办法
     * @return 结果
     */
    public int updateAEnrollSkill(AEnrollSkill aEnrollSkill);

    /**
     * 批量删除院校考生技能考核办法
     * 
     * @param ids 需要删除的院校考生技能考核办法主键集合
     * @return 结果
     */
    public int deleteAEnrollSkillByIds(Long[] ids);

    /**
     * 删除院校考生技能考核办法信息
     * 
     * @param id 院校考生技能考核办法主键
     * @return 结果
     */
    public int deleteAEnrollSkillById(Long id);
}
